WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/December 2025/7 Dec 2025

USA Perpignan 41–17 Dragons RFC

41 photographs Icon Sport/Huw Evans Agency Sunday
Prints from £8 Order prints
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - A general view of tackle pads at Stade Aime Giral before the match 001
CDF_071225_Perpignan_v_Dragons_01.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - A general view of tackle pads at Stade Aime Giral before the match
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - A general view of EPCR flag at Stade Aime Giral before the match 002
CDF_071225_Perpignan_v_Dragons_02.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - A general view of EPCR flag at Stade Aime Giral before the match
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - A general view of Stade Aime Giral before the match 003
CDF_071225_Perpignan_v_Dragons_03.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - A general view of Stade Aime Giral before the match
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - A general view of EPCR flag at Stade Aime Giral before the match 004
CDF_071225_Perpignan_v_Dragons_04.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - A general view of EPCR flag at Stade Aime Giral before the match
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - A general view of Stade Aime Giral before the match 005
CDF_071225_Perpignan_v_Dragons_05.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - A general view of Stade Aime Giral before the match
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Dragons Head Coach Filo Tiatia 006
CDF_071225_Perpignan_v_Dragons_06.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Dragons Head Coach Filo Tiatia
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Dragons Head Coach Filo Tiatia 007
CDF_071225_Perpignan_v_Dragons_07.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Dragons Head Coach Filo Tiatia
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Angus O'Brien of Dragons RFC and Fine Inisi of Dragons RFC 008
CDF_071225_Perpignan_v_Dragons_08.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Angus O'Brien of Dragons RFC and Fine Inisi of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Ben Carter of Dragons RFC 009
CDF_071225_Perpignan_v_Dragons_09.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Ben Carter of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Ben Carter of Dragons RFC 010
CDF_071225_Perpignan_v_Dragons_10.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Ben Carter of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Mackenzie Martin of Dragons RFC 011
CDF_071225_Perpignan_v_Dragons_11.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Mackenzie Martin of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Mackenzie Martin of Dragons RFC and Thomas Young of Dragons RFC 012
CDF_071225_Perpignan_v_Dragons_12.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Mackenzie Martin of Dragons RFC and Thomas Young of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Matthew Screech of Dragons RFC 013
CDF_071225_Perpignan_v_Dragons_13.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Matthew Screech of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Rodrigo Martinez of Dragons RFC 014
CDF_071225_Perpignan_v_Dragons_14.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Rodrigo Martinez of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Ben Carter of Dragons RFC 015
CDF_071225_Perpignan_v_Dragons_15.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Ben Carter of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Cai Evans of Dragons RFC 016
CDF_071225_Perpignan_v_Dragons_16.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Cai Evans of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Fine Inisi of Dragons RFC and  Matteo Le Corvec of USAP 017
CDF_071225_Perpignan_v_Dragons_17.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Fine Inisi of Dragons RFC and Matteo Le Corvec of USAP
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Joe Westwood of Dragons RFC, Rhodri Williams of Dragons RFC and Luke Yendle of Dragons RFC 018
CDF_071225_Perpignan_v_Dragons_18.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Joe Westwood of Dragons RFC, Rhodri Williams of Dragons RFC and Luke Yendle of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Rhodri Williams of Dragons RFC 019
CDF_071225_Perpignan_v_Dragons_19.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Rhodri Williams of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Rio Dyer of Dragons RFC 020
CDF_071225_Perpignan_v_Dragons_20.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Rio Dyer of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Thomas Young of Dragons RFC 021
CDF_071225_Perpignan_v_Dragons_21.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Thomas Young of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Thomas Young of Dragons RFC 022
CDF_071225_Perpignan_v_Dragons_22.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Thomas Young of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Angus O'Brien of Dragons RFC kicks 023
CDF_071225_Perpignan_v_Dragons_23.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Angus O'Brien of Dragons RFC kicks
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Ben Carter of Dragons RFC and Bastien Chinarro of USAP compete for the ball 024
CDF_071225_Perpignan_v_Dragons_24.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Ben Carter of Dragons RFC and Bastien Chinarro of USAP compete for the ball
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Fine Inisi of Dragons RFC 025
CDF_071225_Perpignan_v_Dragons_25.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Fine Inisi of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Fine Inisi of Dragons RFC 026
CDF_071225_Perpignan_v_Dragons_26.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Fine Inisi of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Rhodri Williams of Dragons RFC 027
CDF_071225_Perpignan_v_Dragons_27.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Rhodri Williams of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Rodrigo Martinez of Dragons RFC 028
CDF_071225_Perpignan_v_Dragons_28.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Rodrigo Martinez of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Thomas Young of Dragons RFC 029
CDF_071225_Perpignan_v_Dragons_29.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Thomas Young of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Dragons Head Coach Filo Tiatia 030
CDF_071225_Perpignan_v_Dragons_30.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Dragons Head Coach Filo Tiatia
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Jefferson-Lee Joseph of USAP and Rhodri Williams of Dragons RFC 031
CDF_071225_Perpignan_v_Dragons_31.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Jefferson-Lee Joseph of USAP and Rhodri Williams of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Joe Westwood of Dragons RFC 032
CDF_071225_Perpignan_v_Dragons_32.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Joe Westwood of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Mackenzie Martin of Dragons RFC 033
CDF_071225_Perpignan_v_Dragons_33.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Mackenzie Martin of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Rio Dyer of Dragons RFC 034
CDF_071225_Perpignan_v_Dragons_34.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Rio Dyer of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Thomas Young of Dragons RFC watched by Mahamadou Diaby of USAP 035
CDF_071225_Perpignan_v_Dragons_35.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Thomas Young of Dragons RFC watched by Mahamadou Diaby of USAP
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Angus O'Brien of Dragons RFC 036
CDF_071225_Perpignan_v_Dragons_36.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Angus O'Brien of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Angus O'Brien of Dragons RFC 037
CDF_071225_Perpignan_v_Dragons_37.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Angus O'Brien of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Che Hope of Dragons RFC kicks 038
CDF_071225_Perpignan_v_Dragons_38.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Che Hope of Dragons RFC kicks
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Dejected Harrison Keddie of Dragons RFC 039
CDF_071225_Perpignan_v_Dragons_39.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Dejected Harrison Keddie of Dragons RFC
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Players shake hands at the end of the match 040
CDF_071225_Perpignan_v_Dragons_40.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Players shake hands at the end of the match
071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Rio Dyer of Dragons RFC 041
CDF_071225_Perpignan_v_Dragons_41.jpg · Icon Sport/Huw Evans Agency071225 - USA Perpignan v Dragons RFC - EPCR Challenge Cup - Rio Dyer of Dragons RFC

More from around this date

Sun 7 DecOspreys 24-21 Connacht Sun 7 DecBoreham Wood 3-0 Newport County Sat 6 DecCardiff Quins v Gwylliad Meirionnydd Sat 6 DecCardiff Quins v Nelson Belles Sat 6 DecStade Francais 38-17 Cardiff Rugby Sat 6 DecScarlets 16-17 Bristol Bears Sat 6 DecLlangennech v Brecon Sat 6 DecSwansea City v Oxford United
USA Perpignan 41-17 Dragons RFC · 7 Dec 2025
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured